import React from "react"
import { connect } from "react-redux"
import { bindActionCreators } from "redux"
import { getUsers } from "../../actions/admins"

import UserList from "./users"

function mapStateToProps(state) {
  return {
    users : state.adminStore.get("users"),
  };
}
const mapDispatchToProps = (dipatch) =>
  bindActionCreators({ getUsers }, dipatch)

function AdminPanel(props) {
  return (
    <UserList users={props.users} />
  );
}

export default connect(mapStateToProps, mapDispatchToProps)(AdminPanel);
